=== examples/CMakeLists.txt ===
# Copyright 2016, The libsigc++ Development Team
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

function (add_sigcpp_example EXAMPLE_SOURCE_FILE)
	get_filename_component (example_name ${EXAMPLE_SOURCE_FILE} NAME_WE)
	add_executable (${example_name} ${EXAMPLE_SOURCE_FILE})
	target_link_libraries (${example_name} sigc-${SIGCXX_API_VERSION})
endfunction (add_sigcpp_example)

add_sigcpp_example (hello_world.cc)
add_sigcpp_example (member_method.cc)
