## libsigc++-3.0 3.2.0

=== debian/changelog ===
libsigc++-3.0 (3.2.0-3) unstable; urgency=medium

  * Add missing build-dependency docbook-xml, docbook-xsl.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jun 2022 14:37:06 -0400

libsigc++-3.0 (3.2.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jun 2022 12:05:53 -0400

libsigc++-3.0 (3.2.0-1) unstable; urgency=medium

  * Initial packaging of 3.x branch.
  * debian/copyright: Update copyright information.

 -- Boyuan Yang <byang@debian.org>  Mon, 06 Jun 2022 14:36:46 -0400

libsigc++-2.0 (2.10.4-2) unstable; urgency=medium

  * Build-Depend on docbook-xml & docbook-xsl

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Oct 2020 19:06:02 -0400

libsigc++-2.0 (2.10.4-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Oct 2020 18:32:00 -0400

libsigc++-2.0 (2.10.2-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Watch download.gnome.org for new releases instead of Github

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 19:18:15 -0400

libsigc++-2.0 (2.10.1-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 10:23:32 -0500

libsigc++-2.0 (2.10.1-1) unstable; urgency=medium

  * New upstream release
  * Convert debian/copyright to 1.0 format
  * Build-Depend on doxygen, graphviz & xsltproc to build docs from source
  * Bump Standards-Version to 4.2.1
  * Use dh_missing --fail-missing
  * debian/libsigc++-2.0-0v5.symbols: Add Build-Depends-Package metadata
  * Drop 0002-Fix-GCC-8-FTFBS.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 30 Oct 2018 23:15:31 -0400

libsigc++-2.0 (2.10.0-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix FTBFS with GCC 8 (Closes: #897895)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 08 Aug 2018 13:54:06 +0100

libsigc++-2.0 (2.10.0-2) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add debian/gbp.conf
  * Update Homepage and debian/watch for migration to GitHub
  * Build with gnome-pkg-tools
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 14 Mar 2018 18:23:16 -0400

libsigc++-2.0 (2.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on mm-common to (>= 0.9.10).
  * Mark libsigc++-2.0-doc as Multi-Arch: foreign.

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Sep 2016 01:08:05 +0200

libsigc++-2.0 (2.9.3-1) unstable; urgency=medium

  * New upstream development release.
  * Bump debhelper compat level to 10 for autoreconf support.
  * Simplify debian/rules.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Sep 2016 00:11:36 +0200

libsigc++-2.0 (2.8.0-2) unstable; urgency=medium

  * Stop enforcing c++11 mode via pkg-config. This is no longer necessary with
    GCC 6 as default compiler. (Closes: #802786)
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Aug 2016 21:52:14 +0200

libsigc++-2.0 (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Bump Standards-Version to 3.9.7.
  * Rebase patches.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Mar 2016 07:41:46 +0100

libsigc++-2.0 (2.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Nov 2015 04:51:56 +0100

libsigc++-2.0 (2.6.1-3) unstable; urgency=medium

  * Use https:// for Vcs-Browser.
  * Enforce c++11 mode via pkg-config.
    libsigc++2.0 uses C++11 features in the header files it exports.
    As long  as GCC does not yet default to C++11, return -std=c++11 via
    pkg-config --cflags. Otherwise packages using those headers will fail to
    build. This is a temporary workaround to minimise the breakage caused by
    this change. It should be dropped again once the default is switched in
    GCC. (Closes: #800399)

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Oct 2015 22:33:26 +0200

libsigc++-2.0 (2.6.1-2) unstable; urgency=medium

  * Wrap dependencies.
  * Drop unnecessary configure switches.
  * Drop libtool .la files.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2015 14:24:46 +0200

libsigc++-2.0 (2.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on mm-common to (>= 0.9.8) as per configure.ac.
  * Drop obsolete Build-Conflicts.
  * Update symbols.

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Sep 2015 16:26:49 +0200

libsigc++-2.0 (2.4.1-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Rename libsigc++-2.0-0c2a to libsigc++-2.0-0v5. Closes: #791170.
  * Add Conflict/Replaces to the old library package.
  * Update symbols file for GCC 5.

  [ Michael Biebl ]
  * Add myself to Uploaders.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Aug 2015 10:22:08 +0200

libsigc++-2.0 (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-Git and Vcs-Browser to use the canonical Alioth URLs.
  * Update Vcs-Browser URL to use cgit and https.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 May 2015 02:00:17 +0200

libsigc++-2.0 (2.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #760797)
  * Drop old and no longer needed Conflicts/Replaces.
  * Drop versioned Build-Depends on g++ (>= 3:3.2.0). Even oldstable has a
    more recent version.
  * Run wrap-and-sort.
  * Bump Build-Depends on mm-common to (>= 0.9.7) as per configure.ac.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Drop debian/clean, no longer necessary.
  * Rename symbols to libsigc++-2.0-0c2a.symbols to make it more obvious which
    package this file belongs to.
  * Update symbols file, add new symbols.


