=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@ --buildsystem=meson --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dmaintainer-mode=true \
	    -Dbuild-documentation=true \
	    -Dwarnings=max \
	    $(NULL)

# https://lintian.debian.org/tags/useless-autogenerated-doxygen-file.html
execute_after_dh_install-indep:
	dh_doxygen

override_dh_compress:
	dh_compress -X.tag
