=== debian/watch ===
version=4
https://download.gnome.org/sources/libsigc++/(3\.\d)/ \
 libsigc%2B%2B@ANY_VERSION@\.tar\.xz
