## libsigc++-3.0 3.4.0

=== debian/changelog ===
libsigc++-3.0 (3.4.0-7) unstable; urgency=medium

  * Add superficial autopkgtest

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 03 Jul 2023 21:35:05 -0400

libsigc++-3.0 (3.4.0-6) unstable; urgency=medium

  * Mark symbols as optional not seen when built with LTO

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 21:12:20 -0400

libsigc++-3.0 (3.4.0-5) unstable; urgency=medium

  * Update symbols file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 12:30:11 -0400

libsigc++-3.0 (3.4.0-4) unstable; urgency=medium

  * Add an autopkgtest to run upstream build tests
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 12:10:11 -0400

libsigc++-3.0 (3.4.0-3) experimental; urgency=medium

  * debian/copyright: fix trivial redundant globbing noticed by lintian

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 May 2023 12:15:49 -0400

libsigc++-3.0 (3.4.0-2) experimental; urgency=medium

  [ Jeremy Bicha ]
  * Add debian/upstream/metadata
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Update standards version to 4.6.2, no changes needed.

  [ Steve Langasek ]
  * debian/libsigc++-3.0-0.symbols: Mark symbols as optional
    not seen when built with LTO (Closes: #1033665)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 29 Mar 2023 16:35:34 -0400

libsigc++-3.0 (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Disable custom config that blocks functionality of
    "gbp import-orig".

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Jan 2023 11:13:47 -0500

libsigc++-3.0 (3.2.0-5) unstable; urgency=medium

  * Team upload.
  * Use pkgkde_symbolshelper to handle library symbols.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jun 2022 12:12:02 -0400

libsigc++-3.0 (3.2.0-4) unstable; urgency=medium

  * Rebase with libsigc++-2.0 packaging
  * Add debian/libsigc++-3.0-0.symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Jun 2022 15:45:39 -0400
