=== debian/control ===
--- 
+++ 
@@ -1,32 +1,35 @@
+# This file is autogenerated. DO NOT EDIT!
+#
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: libsigc++-3.0
 Section: devel
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
-Uploaders:
- Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
-Build-Depends:
- debhelper-compat (= 13),
- docbook-xml <!nodoc>,
- docbook-xsl <!nodoc>,
- docbook5-xml <!nodoc>,
- doxygen <!nodoc>,
- graphviz <!nodoc>,
- libxml2-utils <!nocheck>,
- meson,
- mm-common,
- xsltproc <!nodoc>,
-Standards-Version: 4.6.1
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>,
+           Boyuan Yang <byang@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gnome,
+               docbook-xml <!nodoc>,
+               docbook-xsl <!nodoc>,
+               doxygen <!nodoc>,
+               graphviz <!nodoc>,
+               libxml2-utils <!nocheck>,
+               meson (>= 0.55.0),
+               mm-common,
+               pkg-kde-tools,
+               python3-distutils,
+               xsltproc <!nodoc>,
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/gnome-team/libsigcplusplus-3.0.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/libsigcplusplus-3.0
 Homepage: https://libsigcplusplus.github.io/libsigcplusplus/
-Vcs-Git: https://salsa.debian.org/debian/libsigcplusplus-3.0.git
-Vcs-Browser: https://salsa.debian.org/debian/libsigcplusplus-3.0
 
 Package: libsigc++-3.0-0
 Section: libs
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Architecture: any
 Multi-Arch: same
 Description: type-safe Signal Framework for C++ - runtime
@@ -41,12 +44,10 @@
 
 Package: libsigc++-3.0-dev
 Section: libdevel
-Depends:
- libsigc++-3.0-0 (= ${binary:Version}),
- pkg-config,
- ${misc:Depends},
-Suggests:
- libsigc++-3.0-doc,
+Depends: libsigc++-3.0-0 (= ${binary:Version}),
+         pkg-config,
+         ${misc:Depends}
+Suggests: libsigc++-3.0-doc
 Architecture: any
 Multi-Arch: same
 Description: type-safe Signal Framework for C++ - development files
@@ -61,8 +62,7 @@
 
 Package: libsigc++-3.0-doc
 Section: doc
-Depends:
- ${misc:Depends},
+Depends: ${misc:Depends}
 Architecture: all
 Multi-Arch: foreign
 Description: type-safe Signal Framework for C++ - reference documentation
