=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@ --buildsystem=meson --without autoreconf --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dmaintainer-mode=true \
		-Dwarnings=max \
		-Dbuild-documentation=true

# https://lintian.debian.org/tags/useless-autogenerated-doxygen-file.html
execute_after_dh_install-indep:
	dh_doxygen

override_dh_compress:
	dh_compress -X.tag
