## libsigc++-3.0 3.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
 set (SIGCXX_API_VERSION 3.0)
 set (PACKAGE_VERSION ${SIGCXX_MAJOR_VERSION}.${SIGCXX_MINOR_VERSION}.${SIGCXX_MICRO_VERSION})
 set (LIBSIGCPP_SOVERSION 0)
+set (MSVC_STATIC_CXXFLAG "")
 
 option (SIGCXX_DISABLE_DEPRECATED "Disable deprecated" OFF)
 
@@ -65,6 +66,7 @@
 configure_file (sigc++.pc.in sigc++-${SIGCXX_API_VERSION}.pc @ONLY)
 configure_file (sigc++-uninstalled.pc.in sigc++-${SIGCXX_API_VERSION}-uninstalled.pc @ONLY)
 
+if (NOT TARGET uninstall)
 configure_file(
 	"${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
 	"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
@@ -72,7 +74,7 @@
 
 add_custom_target(uninstall
 	COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
-
+endif()
 
 install (FILES
 			"${CMAKE_CURRENT_BINARY_DIR}/sigc++config.h"
