=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,7 @@
   test_retype.cc
   test_retype_return.cc
   test_rvalue_ref.cc
+  test_scoped_connection.cc
   test_signal.cc
   test_signal_move.cc
   test_size.cc
