=== debian/changelog ===
libsigc++-3.0 (3.6.0-2) unstable; urgency=medium

  * Drop unused Build-Depends: python3-distutils (Closes: #1065896)
  * Drop unused optional symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Apr 2024 19:53:17 -0400

libsigc++-3.0 (3.6.0-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome
  * debian/*.symbols: Add new symbols
  * Opt into LTO (to minimize symbols file)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 12:52:48 -0500
