=== debian/control ===
--- 
+++ 
@@ -1,15 +1,9 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libsigc++-3.0
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>,
-           Boyuan Yang <byang@debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Boyuan Yang <byang@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gnome,
                docbook-xml <!nodoc>,
                docbook-xsl <!nodoc>,
                doxygen <!nodoc>,
@@ -18,7 +12,6 @@
                meson (>= 0.55.0),
                mm-common,
                pkg-kde-tools,
-               python3-distutils,
                xsltproc <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -45,7 +38,7 @@
 Package: libsigc++-3.0-dev
 Section: libdevel
 Depends: libsigc++-3.0-0 (= ${binary:Version}),
-         pkg-config,
+         pkgconf,
          ${misc:Depends}
 Suggests: libsigc++-3.0-doc
 Architecture: any
